org.eclipse.microprofile.lra.tck.service.spi

## Class LRACallbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.microprofile.lra.tck.service.spi.LRACallbackException

All Implemented Interfaces:
  Serializable

    public class LRACallbackException
    extends Exception

Generic exception for any failures that occures during the invocations of methods in `LRARecoveryService`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LRACallbackException()`
`LRACallbackException(String message)`
`LRACallbackException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LRACallbackException

    public LRACallbackException()

#### LRACallbackException

    public LRACallbackException(String message)

#### LRACallbackException

    public LRACallbackException(String message,
                                Throwable cause)